*,
*:before,
*:after {
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
}
.width-100{
    width: 100%
}
.header-container {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
}
.logo-div {
    width: 35rem;
    display: inline-block;
    justify-content: space-around;
    align-items: center;
}
.logo-link{
    display: inline-block;
    width: fit-content;
}
.responsive-img {
    max-width: 100%;
    height: auto;
    display: block;
}
.nav-container{
    width: 50%;
    height: 20%;
    background-color: transparent;
}
.login-container {
    display: flex;
    justify-content: space-around;
    padding: 2rem;
    background-color: whitesmoke;
    opacity: 0.8;
    border-radius: 5px;
    box-shadow: grey -5px 7px 10px;
}
.transparent-nav{
    background-color: transparent;
}
.main-container{
    justify-content: space-around;
}
.col-container-160by2{
    display: flex;
    flex-direction: column;
    
}
.row-container-160by2{
    display: flex;
    flex-direction: row;
    width: 100%
}
.bg {
    background-image: url('160by2-bg.png');
    background-repeat: no-repeat;
    background-size: 100%;
    height:1000px;
    width:100%;
}
.login-text {
    font-size: 1.5rem;
    font-weight: 400;
    color: #ec5452;
}
.login-form {
    padding: 2rem;
}

.form-field{
        margin-bottom: 2vw;
    
}
input[type=text], input[type=password] {
    border: none;
    border-bottom: 0.5px solid grey;
    padding-bottom: 2%;
    padding-top:5%;
}
.white-text{
    color: white;
    /* font-size: 2vmin; */
}
.styled-button {
    padding: 0.2rem 0.3rem;
    border: 2px solid #ec5452;
    border-radius: 0.9rem;
    font-weight: 400;
    font-size: 1.1rem;
    color: grey;
    text-decoration: none;

}
.styled-button:hover {
    color: white;
    background-color: #ec5452;
    cursor: pointer;
    text-decoration: none;
}
.intro {
    color: grey;
    font-size: 1.5rem;
}
.error-feedback {
    color: red;
}
.registration-form-container {
    display: flex;
    justify-content: center;
}
.registration-form{
    background-color: #eee3e3;
    opacity: 0.9;
    border-radius: 10px;
}
.clear-default-styles {
    list-style-type: none;
}
.gender {
    color:grey;
    list-style-type: none;
}
.form-field{
    background-color: inherit;
}
.nav.text {
    color: white;
    font-size: 1.4rem;
    padding-left: 1vw;
    padding-right: 1vw
}

.account-aside,
.contacts-aside {
    display: flex;
    flex-direction: column;
    width: 20%;
    color: #ec5452;
    background-color: #eee3e3;
    height: 80vh;
    overflow: scroll;
}
.account-aside{
    box-shadow: grey 5px 5px 10px;
}

.contacts-aside{
    box-shadow: grey -5px 5px 10px;
}
.sent-message {
    list-style-type: none;
    margin: 40px 0;
    padding: 5px;
}
.sent-message:nth-child( odd ){
    background-color: gainsboro;
}
.sent-message:nth-child( even ){
    background-color: white;
}
.account-body {
    justify-content: space-around;
}
.aside-item{
    padding: 1.5vmax;
}
.message-form {
    width: 50%;
    height: 80%;
    padding: 5%;
}
.contact-form {
    width: 70%;
    padding: 5%
}
.sent-messages{
    width: 70%;
    padding: 0.5%;
    overflow: scroll;
    display: flex;
    flex-direction: column;
}
.pagination{
    width: 100%;
    display: flex;
    justify-content: space-between;
}
.scroll-button{
    display: inline-block
}
.message-time{
    background-color: floralwhite;
    font-weight: 600;
}
.sent-message-container {
    padding: 0 2rem;
}
.contacts-list{
    list-style: none;
    display: flex;
    flex-direction: column;
    padding: 0;
}
.contact-item {
    margin: 0.5rem;
}
@media screen and (max-width: 991px) {
    .main-container {
        flex-direction: column;

    }
    .intro{
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        order: 2;
        margin-top: 2rem;
    }
    .login-container{
        width: 100%;
        order: 1;
    }
    .account-body{
        flex-direction: column;
        justify-content: space-around;
    }
    .account-aside {
        height: 5rem;
        display: flex;
        flex-direction: row;
        width: 100%;
        order: 1;
    }
    .contacts-aside {
        height: 10rem;
        display: flex;
        flex-direction: row;
        width: 100%;
        order: 2;
    }
    .sent-messages,
    .contact-form,
    .message-form {
        order: 3;
        width: 100%;
    }
    .contacts-list{
        list-style: none;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        padding: 0;
        width: 100%;
    }
}